//TexteAttrEchelle_201f.js
// 15.11.06 / Hans Haesler, Chtelard 52, CH-1018 Lausanne
//Ce script sert  appliquer le corps actuel qui se trouve 
//entre parenthses derrire la valeur initiale lorsque 
//la taille des blocs a t modifi  l'aide du raccourci 
//Ctrl-Shift-glisser ou par un pourcentage dans la palette

try {
	var curSel = app.documents[0].selection;
}
catch (e) {
	alert ("Il n'y a pas de document ouvert.");
	exit();
}

if (curSel.length == 0) {
	alert ("Il n'a pas de slction.");
	exit();
}

var selType = curSel[0].constructor.name;
if (selType == "Rectangle" || selType == "GraphicLine") {
	alert ("Il ne faut slctionner que des blocs texte.");
	exit();
}	
else if (selType != "TextFrame" && selType != "Group") {
	alert ("Slectionner les blocs avec l'outil Slction.");
	exit();
}
	
for (var i=0; i<curSel.length; i++) {
	var curItem = curSel[i];
	var curType = curItem.constructor.name;
	if (curType == "Group") {
		scaleGroupAttr(curItem);
	}
	else if (curType == "TextFrame") {
		scaleTextAttr(curItem);
	}
}

alert ("C'est fait.");

function scaleGroupAttr(curGroup) {
	try {
		curGroup.transformGroupContents();
	}
	catch (e) {
	}
	var allFrames = curGroup.allPageItems;
	for (var i=0; i< allFrames.length; i++) {
		var curFrame = allFrames[i];
		var curType = curFrame.constructor.name;
		if (curType == "Group") {
			try {
				curFrame.transformGroupContents();
			}
			catch (e) {
			}
		}
		else if (curType == "TextFrame") {
			scaleTextAttr(curFrame);
		}
	}
}

function scaleTextAttr(curFrame) {
	try {
		curFrame.scaleTextAttributes();
	}
	catch (e) {
	}
}